Skip to navigation

Delete Tenant Account

View as Markdown

Delete a Tenant Account by ID.

Org must have an Infrastructure Provider entity, and the specified Tenant Account must have been created by that Provider. Requesting user must have PROVIDER_ADMIN role.

Tenant cannot delete a Tenant Account.

Authentication

AuthorizationBearer
export JWT_BEARER_TOKEN="<jwt-bearer-token>"

# Example org name: "acme-inc
export ORG_NAME=<org-name>

# Use the JWT bearer token in your API request auth header:
curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current

Path parameters

orgstringRequired
Name of the Org
accountIdstringRequiredformat: "uuid"
ID of the Tenant Account

Response

Deletion request was accepted
messagestring

Human-readable outcome of the request

Errors

403
Forbidden Error